<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Jalankan migrasi untuk membuat tabel customers.
     */
    public function up(): void
    {
        Schema::create('customers', function (Blueprint $table) {
            $table->id();
            $table->string('name', 255);
            $table->string('room', 50);
            $table->string('phone', 20);
            $table->string('status', 50);
            $table->integer('pos');
            $table->timestamps();
        });
    }

    /**
     * Rollback migrasi dengan menghapus tabel customers.
     */
    public function down(): void
    {
        Schema::dropIfExists('customers');
    }
};
